httpd-bugs mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject [Bug 61613] Facing issue to start Apache after upgrading to 2.4.28 -libssl.so.1.1: cannot open shared object file: No such file or directory
Date Fri, 13 Oct 2017 20:19:03 GMT
https://bz.apache.org/bugzilla/show_bug.cgi?id=61613

--- Comment #7 from dferradal@gmail.com ---
(In reply to Aakash from comment #5)
> Thanks for the clarification.
> 
> We haven't set this LD_Library_Path earlier for prior versions. It will be
> really helpful if you may clear this part why we need to set this now. Below
> is the current output of  LD_Library_Path where Apache httpd 2.4.27 is
> working fine.
> 
> [root@*** ~]# echo $LD_LIBRARY_PATH
> 
> [root@*** ~]#
> 
> 
> 
> Thanks and Best Regards,
> Aakash

I guess you need to see how you managed to compile previous versions and if you
used mod_ssl.

Did you compile against external openssl? Then if so, either you were
previously using an envvars file pointing to the openssl libraries or you were
lucky enough the operative system openssl libs were found and were the same
version.

By default, httpd has a file called envvars in its bin directory, you will see
it is already pointing to the lib directory of httpd itself, if you compiled
httpd against other external libraries, other lib directories should go in
there, otherwise when you run the binary it will look for the needed libs in
system path, with mixed consequences, sometimes it may work and sometimes if
the lib versions are too different there will be failures if the names match,
or won't find them if the lib files in your system are not the same.

-- 
You are receiving this mail because:
You are the assignee for the bug.
---------------------------------------------------------------------
To unsubscribe, e-mail: bugs-unsubscribe@httpd.apache.org
For additional commands, e-mail: bugs-help@httpd.apache.org


Mime
View raw message